%define version	1.3.8
%define release	1mdk

%define pkgname		libbonobomm
%define api_version	1.3
%define major		9
%define libname %mklibname bonobomm %api_version

%define req_orbitcpp_version	1.3.8

# (Abel) I really hate this one
%define have_libtool_1_5	0

Summary: 	A C++ interface of GNOME 2 bonobo library
Name: 		%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz downloadable at ftp://download.sourceforge.net/gtkmm/
Source: 	%{pkgname}-%{version}.tar.bz2
Patch0:		%{pkgname}-libtool-1.5.patch.bz2

BuildRequires:	gtkmm2.0-devel
BuildRequires:	libbonobo2_x-devel
BuildRequires:	orbitcpp-devel >= %{req_orbitcpp_version}
Buildrequires:	doxygen

%description
The %{pkgname} library is a C++ interface of libbonobo library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}
Summary:	A C++ wrapper for libgnome
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}_%{major}
The %{pkgname} library is a C++ interface of libbonobo library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}

%description -n %{libname}_%{major}-devel
This package contains all necessary files, including libraries and headers,
that are needed to develop/compile applications which use %{pkgname},
the C++ interface to libbonobo.

%prep
%setup -q -n %{pkgname}-%{version}
%if %have_libtool_1_5
pushd scripts
%patch0 -p1 -b .libtool15
popd
%endif

%build
%if %have_libtool_1_5
%define __libtoolize /bin/true
%endif
%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove zero length include file
[ -s %{buildroot}%{_includedir}/libbonobomm-2.0/bonobomm/servers/init.h ] || \
  rm -f %{buildroot}%{_includedir}/libbonobomm-2.0/bonobomm/servers/init.h

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-2.0
%{_libdir}/gtkmm-2.0/proc/m4/*.m4

###########################################################################
%changelog
* Tue Nov 18 2003 Abel Cheung <deaddog@deaddog.org> 1.3.8-1mdk
- 1.3.8
- BuildRequires fix for 64bit arch

* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 1.3.7-1mdk
- First Mandrake spec
- Patch0: Fix libtool 1.5 to search for staging libraries first
